Page MenuHomePhabricator

The "UserSetCookies" hook is listed in documentation as deprecated but doesn't emit deprecation warnings yet
Closed, ResolvedPublic

Description

1.27

Event Timeline

Change 536652 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Actually deprecate the UserSetCookies

https://gerrit.wikimedia.org/r/536652

Jdforrester-WMF triaged this task as Lowest priority.Dec 17 2019, 11:23 AM

Change 536652 merged by jenkins-bot:
[mediawiki/core@master] Actually deprecate the UserSetCookies

https://gerrit.wikimedia.org/r/536652

Jdforrester-WMF closed this task as Resolved.May 11 2020, 6:36 PM
DannyS712 reopened this task as Open.May 11 2020, 6:50 PM

Needed to be added to DeprecatedHooks

Change 595616 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] DeprecatedHooks: Add UserSetCookies hook, deprecated in 1.27

https://gerrit.wikimedia.org/r/595616

Change 595616 merged by jenkins-bot:
[mediawiki/core@master] DeprecatedHooks: Add UserSetCookies hook, deprecated in 1.27

https://gerrit.wikimedia.org/r/595616

Jdforrester-WMF closed this task as Resolved.May 12 2020, 3:31 PM